#include <bits/stdc++.h>
#define int long long
#define pb push_back
#define mp make_pair
#define all(x) (x).begin(),(x).end()
#define fi first
#define sc second
#define endl "\n"
#define pii pair<int,int>

using namespace std;

const int MAXN = 1e5+5;
const int mod7 = 1e9+7;
const long long inf = 1e18;

signed main()
{
    ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    int t;cin >> t;
    int n,k; cin >> n >> k;
    vector<int> niz(n);
    for(int i=0; i<n; i++)cin >> niz[i];
    int cntadd = (k+n)/2;
    int cntsub = (n-k)/2;
    if(cntadd + cntsub != n)cout << "NE" << endl;
    else
    {

    }


}